Hi, we have to use TLS1.2 for all communication.
We are using the SLES 11 Security Module https://www.suse.com/documentation/suse-best- practices/singlehtml/securitymodule/securitymodule.html to enable TLS1.2 in our SMT server and installed the openssl und curl versions from this module on our SLES 11 SP4 server.

Everything is working fine, except zypper.

curl can connect to the SMT server with TLS1.2, but zypper not.....

Looks like zypper is using the libcurl and not curl.

Is there any way to get zypper to use a newer version of the libcurl library?

Thank you, Alfred